Index: branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 521)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 571)
@@ -62,5 +62,5 @@
 
 #=====================================================
-# Host and user names 
+# Host and user names
 # $hostname ou hostname
 typeset  HOST=${HOST:=$( hostname )}
@@ -107,14 +107,18 @@
 #====================================================
 #- IN
-typeset -r R_IN=${R_IN:=/dmnfs/cont003/p86ipsl/IGCM}
+typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
 typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/dmnfs/cont003/p24data}
 
 #====================================================
-#- OUT
+#- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
 
 #====================================================
-#- OUT_SCR (ONLY FOR double copy an scratch)
-typeset -r R_OUT_SCR=${SCRATCHDIR}/IGCM_OUT
+#- R_BUF (ONLY FOR double copy an scratch)
+typeset -r R_BUF=${SCRATCHDIR}/IGCM_OUT
+
+#====================================================
+#- BIG_DIR : BIG_DIR to store files waiting for rebuild
+typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
 
 #====================================================
@@ -125,8 +129,4 @@
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
 typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${CSCRATCHDIR}/TMPDIR_IGCM/${JOBID}}
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
 
 #====================================================
@@ -144,6 +144,6 @@
 #D-
 function IGCM_sys_RshMaster {
-    IGCM_debug_PushStack "IGCM_sys_RshMaster" $@
-    /bin/ksh <<-EOF
+  IGCM_debug_PushStack "IGCM_sys_RshMaster" $@
+  /bin/ksh <<-EOF
     export libIGCM=${libIGCM}
     export DEBUG_debug=${DEBUG_debug}
@@ -152,9 +152,9 @@
     ${@}
 EOF
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_RshMaster : erreur."
-	IGCM_debug_Exit "IGCM_sys_RshMaster"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_RshMaster"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_RshMaster : erreur."
+    IGCM_debug_Exit "IGCM_sys_RshMaster"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_RshMaster"
 }
 
@@ -165,13 +165,13 @@
 #D-
 function IGCM_sys_RshArchive {
-    IGCM_debug_PushStack "IGCM_sys_RshArchive" $@
-    /bin/ksh <<-EOF
+  IGCM_debug_PushStack "IGCM_sys_RshArchive" $@
+  /bin/ksh <<-EOF
     ${@}
 EOF
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_RshArchive : erreur."
-	IGCM_debug_Exit "IGCM_sys_RshArchive"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_RshArchive"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_RshArchive : erreur."
+    IGCM_debug_Exit "IGCM_sys_RshArchive"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_RshArchive"
 }
 
@@ -182,14 +182,14 @@
 #D-
 function IGCM_sys_RshPost {
-    IGCM_debug_PushStack "IGCM_sys_RshPost" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_RshPost :" $@
-    fi
-    /bin/ksh ${@}
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_RshPost : erreur."
-	IGCM_debug_Exit "IGCM_sys_RshPost"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_RshPost"
+  IGCM_debug_PushStack "IGCM_sys_RshPost" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_RshPost :" $@
+  fi
+  /bin/ksh ${@}
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_RshPost : erreur."
+    IGCM_debug_Exit "IGCM_sys_RshPost"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_RshPost"
 }
 
@@ -200,15 +200,15 @@
 #D-
 function IGCM_sys_SendMail {
-    IGCM_debug_PushStack "IGCM_sys_SendMail" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_SendMail :" $@
-    fi
-
-    if ( ${ExitFlag} ) ; then
-	status=failed
-    else
-	status=completed
-    fi
-    cat  << END_MAIL > job_end.mail
+  IGCM_debug_PushStack "IGCM_sys_SendMail" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_SendMail :" $@
+  fi
+
+  if ( ${ExitFlag} ) ; then
+    status=failed
+  else
+    status=completed
+  fi
+  cat  << END_MAIL > job_end.mail
 Dear ${LOGIN},
 
@@ -220,17 +220,17 @@
 END_MAIL
 
-    if  [ X"${config_UserChoices_MailName}" != X ] ; then
-       mailx -s "${config_UserChoices_JobName} ${status}" ${config_UserChoices_MailName} <  job_end.mail
-    elif [ -f ~/.forward ] ; then
-       mailx -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < job_end.mail
-    else
-       mailx -s "${config_UserChoices_JobName} ${status}" ${LOGIN} < job_end.mail
-    fi
-
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_SendMail : erreur."
-	IGCM_debug_Exit "IGCM_sys_SendMail"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_SendMail"
+  if  [ X"${config_UserChoices_MailName}" != X ] ; then
+    mailx -s "${config_UserChoices_JobName} ${status}" ${config_UserChoices_MailName} <  job_end.mail
+  elif [ -f ~/.forward ] ; then
+    mailx -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < job_end.mail
+  else
+    mailx -s "${config_UserChoices_JobName} ${status}" ${LOGIN} < job_end.mail
+  fi
+
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_SendMail : erreur."
+    IGCM_debug_Exit "IGCM_sys_SendMail"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_SendMail"
 }
 
@@ -241,21 +241,21 @@
 #D-
 function IGCM_sys_Mkdir {
-    IGCM_debug_PushStack "IGCM_sys_Mkdir" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Mkdir :" $@
-    fi
-    if [ ! -d ${1} ]; then
-	\mkdir -p $1
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_Mkdir : erreur."
-	    IGCM_debug_Exit "IGCM_sys_Mkdir"
-	fi
-    fi
-    # vérification :
-    if [ ! -d ${1} ] ; then
-	echo "IGCM_sys_Mkdir : erreur."
-	IGCM_debug_Exit "IGCM_sys_Mkdir"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Mkdir"
+  IGCM_debug_PushStack "IGCM_sys_Mkdir" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Mkdir :" $@
+  fi
+  if [ ! -d ${1} ]; then
+    \mkdir -p $1
+    if [ $? -gt 0 ] ; then
+      echo "IGCM_sys_Mkdir : erreur."
+      IGCM_debug_Exit "IGCM_sys_Mkdir"
+    fi
+  fi
+  # vérification :
+  if [ ! -d ${1} ] ; then
+    echo "IGCM_sys_Mkdir : erreur."
+    IGCM_debug_Exit "IGCM_sys_Mkdir"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Mkdir"
 }
 
@@ -266,17 +266,17 @@
 #D-
 function IGCM_sys_MkdirArchive {
-    IGCM_debug_PushStack "IGCM_sys_MkdirArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_MkdirArchive :" $@
-    fi
-    #- creation de repertoire sur le serveur fichier
-    if [ ! -d ${1} ]; then 
-	\mkdir -p $1
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_MkdirArchive : erreur."
-	    IGCM_debug_Exit "IGCM_sys_MkdirArchive"
-	fi
-    fi
-    IGCM_debug_PopStack "IGCM_sys_MkdirArchive"
+  IGCM_debug_PushStack "IGCM_sys_MkdirArchive" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_MkdirArchive :" $@
+  fi
+  #- creation de repertoire sur le serveur fichier
+  if [ ! -d ${1} ]; then 
+    \mkdir -p $1
+    if [ $? -gt 0 ] ; then
+      echo "IGCM_sys_MkdirArchive : erreur."
+      IGCM_debug_Exit "IGCM_sys_MkdirArchive"
+    fi
+  fi
+  IGCM_debug_PopStack "IGCM_sys_MkdirArchive"
 }
 
@@ -287,17 +287,17 @@
 #D-
 function IGCM_sys_MkdirWork {
-    IGCM_debug_PushStack "IGCM_sys_MkdirWork" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_MkdirWork :" $@
-    fi
-    #- creation de repertoire sur le serveur fichier
-    if [ ! -d ${1} ]; then 
-	\mkdir -p $1
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_MkdirWork : erreur."
-	    IGCM_debug_Exit "IGCM_sys_MkdirWork"
-	fi
-    fi
-    IGCM_debug_PopStack "IGCM_sys_MkdirWork"
+  IGCM_debug_PushStack "IGCM_sys_MkdirWork" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_MkdirWork :" $@
+  fi
+  #- creation de repertoire sur le serveur fichier
+  if [ ! -d ${1} ]; then 
+    \mkdir -p $1
+    if [ $? -gt 0 ] ; then
+      echo "IGCM_sys_MkdirWork : erreur."
+      IGCM_debug_Exit "IGCM_sys_MkdirWork"
+    fi
+  fi
+  IGCM_debug_PopStack "IGCM_sys_MkdirWork"
 }
 
@@ -308,14 +308,14 @@
 #D-
 function IGCM_sys_Cd {
-    IGCM_debug_PushStack "IGCM_sys_Cd" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Cd :" $@
-    fi
-    \cd $1
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_Cd : erreur."
-	IGCM_debug_Exit "IGCM_sys_Cd"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Cd"
+  IGCM_debug_PushStack "IGCM_sys_Cd" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Cd :" $@
+  fi
+  \cd $1
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_Cd : erreur."
+    IGCM_debug_Exit "IGCM_sys_Cd"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Cd"
 }
 
@@ -326,18 +326,18 @@
 #D-
 function IGCM_sys_Chmod {
-    IGCM_debug_PushStack "IGCM_sys_Chmod" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Chmod :" $@
-    fi
-    if [ $DRYRUN -le 1 ]; then
-	\chmod $@
-	if [ $? -gt 0 ] ; then
-	    echo "IGCM_sys_Chmod : erreur."
-	    IGCM_debug_Exit "IGCM_sys_Chmod"
-	fi
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Chmod"
+  IGCM_debug_PushStack "IGCM_sys_Chmod" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Chmod :" $@
+  fi
+  if [ $DRYRUN -le 1 ]; then
+    \chmod $@
+    if [ $? -gt 0 ] ; then
+      echo "IGCM_sys_Chmod : erreur."
+      IGCM_debug_Exit "IGCM_sys_Chmod"
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Chmod"
 }
 
@@ -348,14 +348,14 @@
 #D-
 function IGCM_sys_FileSize {
-    IGCM_debug_PushStack "IGCM_sys_FileSize" $@
-
-    typeset sizeF
-    set +A sizeF -- $( ls -la ${1} )
-    if [ $? -gt 0 ] ; then
-	IGCM_debug_Exit "IGCM_sys_FileSize"
-    fi
-    eval ${2}=${sizeF[4]}
-
-    IGCM_debug_PopStack "IGCM_sys_FileSize"
+  IGCM_debug_PushStack "IGCM_sys_FileSize" $@
+
+  typeset sizeF
+  set +A sizeF -- $( ls -la ${1} )
+  if [ $? -gt 0 ] ; then
+    IGCM_debug_Exit "IGCM_sys_FileSize"
+  fi
+  eval ${2}=${sizeF[4]}
+
+  IGCM_debug_PopStack "IGCM_sys_FileSize"
 }
 
@@ -366,13 +366,13 @@
 #D-
 function IGCM_sys_TestDir {
-    IGCM_debug_PushStack "IGCM_sys_TestDir" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestDir :" $@
-    fi
-    typeset ExistFlag
-    ExistFlag=$( [ -d $1 ] && echo 0 || echo 1 )
-    IGCM_debug_PopStack "IGCM_sys_TestDir"
-
-    return ${ExistFlag}
+  IGCM_debug_PushStack "IGCM_sys_TestDir" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_TestDir :" $@
+  fi
+  typeset ExistFlag
+  ExistFlag=$( [ -d $1 ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_TestDir"
+
+  return ${ExistFlag}
 }
 
@@ -383,13 +383,30 @@
 #D-
 function IGCM_sys_TestDirArchive {
-    IGCM_debug_PushStack "IGCM_sys_TestDirArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestDirArchive :" $@
-    fi
-    typeset ExistFlag
-    ExistFlag=$( [ -d $1 ] && echo 0 || echo 1 )
-    IGCM_debug_PopStack "IGCM_sys_TestDirArchive"
-
-    return ${ExistFlag}
+  IGCM_debug_PushStack "IGCM_sys_TestDirArchive" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_TestDirArchive :" $@
+  fi
+  typeset ExistFlag
+  ExistFlag=$( [ -d $1 ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_TestDirArchive"
+
+  return ${ExistFlag}
+}
+
+#D-#==================================================
+#D-function IGCM_sys_IsFileArchived
+#D-* Purpose: Test file that must NOT EXISTS on Archive
+#D-* Examples:
+#D-
+function IGCM_sys_IsFileArchived {
+  IGCM_debug_PushStack "IGCM_sys_IsFileArchived" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_IsFileArchived :" $@
+  fi
+  typeset IsArchivedFlag
+  IsArchivedFlag=$( [ X$( echo $1 | grep ^\/dmnfs ) != X ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_IsFileArchived"
+
+  return ${IsArchivedFlag}
 }
 
@@ -400,13 +417,27 @@
 #D-
 function IGCM_sys_TestFileArchive {
-    IGCM_debug_PushStack "IGCM_sys_TestFileArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_TestFileArchive :" $@
-    fi
-    typeset ExistFlag
-    ExistFlag=$( [ -f $1 ] && echo 0 || echo 1 )
-    IGCM_debug_PopStack "IGCM_sys_TestFileArchive"
-
-    return ${ExistFlag}
+  IGCM_debug_PushStack "IGCM_sys_TestFileArchive" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_TestFileArchive :" $@
+  fi
+  typeset ExistFlag
+  ExistFlag=$( [ -f $1 ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_TestFileArchive"
+
+  return ${ExistFlag}
+}
+
+#D-#==================================================
+#D-function IGCM_sys_TestFileBuffer
+#D-* Purpose: Test file that must NOT EXISTS on Buffer
+#D-* Examples:
+#D-
+function IGCM_sys_TestFileBuffer {
+  IGCM_debug_PushStack "IGCM_sys_TestFileBuffer" $@
+  typeset ExistFlag
+  ExistFlag=$( [ -f $1 ] && echo 0 || echo 1 )
+  IGCM_debug_PopStack "IGCM_sys_TestFileBuffer"
+
+  return ${ExistFlag}
 }
 
@@ -417,10 +448,24 @@
 #D-
 function IGCM_sys_CountFileArchive {
-    IGCM_debug_PushStack "IGCM_sys_CountFileArchive" $@
-    ls ${@} 2>/dev/null | wc -l
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_CountFileArchive : erreur."
-    fi
-    IGCM_debug_PopStack "IGCM_sys_CountFileArchive"
+  IGCM_debug_PushStack "IGCM_sys_CountFileArchive" $@
+  ls ${@} 2>/dev/null | wc -l
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_CountFileArchive : erreur."
+  fi
+  IGCM_debug_PopStack "IGCM_sys_CountFileArchive"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_CountFileBuffer
+#D-* Purpose: Count files on Scratch filesystem
+#D-* Examples:
+#D-
+function IGCM_sys_CountFileBuffer {
+  IGCM_debug_PushStack "IGCM_sys_CountFileBuffer" $@
+  ls ${@} 2>/dev/null | wc -l
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_CountFileBuffer : erreur."
+  fi
+  IGCM_debug_PopStack "IGCM_sys_CountFileBuffer"
 }
 
@@ -431,32 +476,30 @@
 #D-
 function IGCM_sys_Tree {
-    IGCM_debug_PushStack "IGCM_sys_Tree" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Tree :" $@
-    fi
-
-    \tree -f $@
-
-    IGCM_debug_PopStack "IGCM_sys_Tree"
+  IGCM_debug_PushStack "IGCM_sys_Tree" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Tree :" $@
+  fi
+
+  \tree -f $@
+
+  IGCM_debug_PopStack "IGCM_sys_Tree"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Tar
-#D-* Purpose: master un-tar command
+#D-* Purpose: master tar command
 #D-* Examples:
 #D-
 function IGCM_sys_Tar {
-    IGCM_debug_PushStack "IGCM_sys_Tar" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Tar :" $@
-    fi
-    \tar cvf $@
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_Tar : erreur."
-	IGCM_debug_Exit "IGCM_sys_Tar"
-    fi
-    \tar tvf $1
-
-    IGCM_debug_PopStack "IGCM_sys_Tar"
+  IGCM_debug_PushStack "IGCM_sys_Tar" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Tar :" $@
+  fi
+  \tar cf $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_Tar : erreur."
+    IGCM_debug_Exit "IGCM_sys_Tar"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Tar"
 }
 
@@ -467,14 +510,14 @@
 #D-
 function IGCM_sys_UnTar {
-    IGCM_debug_PushStack "IGCM_sys_UnTar" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_UnTar :" $@
-    fi
-    \tar xvf $1
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_UnTar : erreur."
-	IGCM_debug_Exit "IGCM_sys_UnTar"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_UnTar"
+  IGCM_debug_PushStack "IGCM_sys_UnTar" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_UnTar :" $@
+  fi
+  \tar xvf $1
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_UnTar : erreur."
+    IGCM_debug_Exit "IGCM_sys_UnTar"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_UnTar"
 }
 
@@ -485,14 +528,14 @@
 #D-
 function IGCM_sys_QsubPost {
-    IGCM_debug_PushStack "IGCM_sys_QsubPost" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_QsubPost :" $@
-    fi
-    /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
-    if [ $? -gt 0 ] ; then
-	echo "IGCM_sys_QsubPost : erreur " $@
-	IGCM_debug_Exit "IGCM_sys_QsubPost"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_QsubPost"
+  IGCM_debug_PushStack "IGCM_sys_QsubPost" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_QsubPost :" $@
+  fi
+  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_QsubPost : erreur " $@
+    IGCM_debug_Exit "IGCM_sys_QsubPost"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_QsubPost"
 }
 
@@ -508,108 +551,108 @@
 #D-  Error values and explanations can depend on your system version.
 function IGCM_sys_Rsync_out {
-    RET=$1
-    if [ ! $RET ] ; then
-	echo "rsync error !"
-    fi
-
-    if [ $MYLANG = "fr" ]; then
-	case $RET in
-	    0)  return ;;
-	    1)  echo "Erreur de rsync ; RERR_SYNTAX : "
-		echo "Erreur de syntaxe ou d'utilisation."
-		return;;
-	    2)  echo "Erreur de rsync ; RERR_PROTOCOL : "
-		echo "Incompatibilité de protocole."
-		return;;
-	    3)  echo "Erreur de rsync ; RERR_FILESELECT 3"
-		echo "Erreurs  lors  de  la  sélection des fichiers d'entrée sortie et"
-		echo "répertoires"
-		return;;
-	    4)  echo "Erreur de rsync ; RERR_UNSUPPORTED"
-		echo "Action demandée non supportée : une tentative de manipulation de"
-		echo "fichiers  64-bits  sur une plate-forme qui ne les supporte pas a"
-		echo "été faite ; ou une option qui est supportée par le  client  mais"
-		echo "pas par le serveur a été spécifiée."
-		return;;
-	    10) echo "Erreur de rsync ; RERR_SOCKETIO"
-		echo "Erreur dans le socket d'entrée sortie"
-		return;;
-	    11) echo "Erreur de rsync ; RERR_FILEIO"
-		echo "Erreur d'entrée sortie fichier"
-		return;;
-	    12) echo "Erreur de rsync ; RERR_STREAMIO"
-		echo "Erreur dans flux de donnée du protocole rsync"
-		return;;
-	    13) echo "Erreur de rsync ; RERR_MESSAGEIO"
-		echo "Erreur avec les diagnostics du programme"
-		return;;
-	    14) echo "Erreur de rsync ; RERR_IPC"
-		echo "Erreur dans le code IPC"
-		return;;
-	    20) echo "Erreur de rsync ; RERR_SIGNAL"
-		echo "SIGUSR1 ou SIGINT reçu"
-		return;;
-	    21) echo "Erreur de rsync ; RERR_WAITCHILD"
-		echo "Une erreur retournée par waitpid()"
-		return;;
-	    22) echo "Erreur de rsync ; RERR_MALLOC"
-		echo "Erreur lors de l'allocation des tampons de mémoire de coeur"
-		return;;
-	    23) echo ""
-                echo "Erreur fichier inexistant"
-		return;;
-	    30) echo "Erreur de rsync ; RERR_TIMEOUT"
-		echo "Temps d'attente écoulé dans l'envoi/réception de données"
-		return;;
-	    *)  echo "Erreur de rsync : code de retour de rsync inconnu :" $RET
-		return;;
-	esac
-    elif [ $MYLANG = "en" ] ; then
-	case $RET in
-	    0)  return;;		
-	    1)  echo "rsync error : Syntax or usage error "
-		return;;
-	    2)  echo "rsync error : Protocol incompatibility "
-		return;;
-	    3)  echo "rsync error : Errors selecting input/output files, dirs"
-		return;;
-	    4)  echo "rsync error : Requested action not supported: an attempt"
-		echo "was made to manipulate 64-bit files on a platform that cannot support"
-		echo "them; or an option was specified that is supported by the client and"
-		echo "not by the server."
-		return;;
-	    5)  echo "rsync error : Error starting client-server protocol"
-		return;;
-	    10) echo "rsync error : Error in socket I/O "
-		return;;
-	    11) echo "rsync error : Error in file I/O "
-		return;;
-	    12) echo "rsync error : Error in rsync protocol data stream "
-		return;;
-	    13) echo "rsync error : Errors with program diagnostics "
-		return;;
-	    14) echo "rsync error : Error in IPC code "
-		return;;
-	    20) echo "rsync error : Received SIGUSR1 or SIGINT "
-		return;;
-	    21) echo "rsync error : Some error returned by waitpid() "
-		return;;
-	    22) echo "rsync error : Error allocating core memory buffers "
-		return;;
-	    23) echo "rsync error : Partial transfer due to error"
-		return;;
-	    24) echo "rsync error : Partial transfer due to vanished source files"
-		return;;
-	    30) echo "rsync error : Timeout in data send/receive "
-		return;;
-	    *)  echo "rsync error : return code of rsync unknown :" $RET
-		return;;
-	esac
-    else
-	echo "unknown language $MYLANG."
-	return
-    fi
-}
-    
+  RET=$1
+  if [ ! $RET ] ; then
+    echo "rsync error !"
+  fi
+
+  if [ $MYLANG = "fr" ]; then
+    case $RET in
+    0)  return ;;
+    1)  echo "Erreur de rsync ; RERR_SYNTAX : "
+      echo "Erreur de syntaxe ou d'utilisation."
+      return;;
+    2)  echo "Erreur de rsync ; RERR_PROTOCOL : "
+      echo "Incompatibilité de protocole."
+      return;;
+    3)  echo "Erreur de rsync ; RERR_FILESELECT 3"
+      echo "Erreurs  lors  de  la  sélection des fichiers d'entrée sortie et"
+      echo "répertoires"
+      return;;
+    4)  echo "Erreur de rsync ; RERR_UNSUPPORTED"
+      echo "Action demandée non supportée : une tentative de manipulation de"
+      echo "fichiers  64-bits  sur une plate-forme qui ne les supporte pas a"
+      echo "été faite ; ou une option qui est supportée par le  client  mais"
+      echo "pas par le serveur a été spécifiée."
+      return;;
+    10) echo "Erreur de rsync ; RERR_SOCKETIO"
+      echo "Erreur dans le socket d'entrée sortie"
+      return;;
+    11) echo "Erreur de rsync ; RERR_FILEIO"
+      echo "Erreur d'entrée sortie fichier"
+      return;;
+    12) echo "Erreur de rsync ; RERR_STREAMIO"
+      echo "Erreur dans flux de donnée du protocole rsync"
+      return;;
+    13) echo "Erreur de rsync ; RERR_MESSAGEIO"
+      echo "Erreur avec les diagnostics du programme"
+      return;;
+    14) echo "Erreur de rsync ; RERR_IPC"
+      echo "Erreur dans le code IPC"
+      return;;
+    20) echo "Erreur de rsync ; RERR_SIGNAL"
+      echo "SIGUSR1 ou SIGINT reçu"
+      return;;
+    21) echo "Erreur de rsync ; RERR_WAITCHILD"
+      echo "Une erreur retournée par waitpid()"
+      return;;
+    22) echo "Erreur de rsync ; RERR_MALLOC"
+      echo "Erreur lors de l'allocation des tampons de mémoire de coeur"
+      return;;
+    23) echo ""
+      echo "Erreur fichier inexistant"
+      return;;
+    30) echo "Erreur de rsync ; RERR_TIMEOUT"
+      echo "Temps d'attente écoulé dans l'envoi/réception de données"
+      return;;
+    *)  echo "Erreur de rsync : code de retour de rsync inconnu :" $RET
+      return;;
+    esac
+  elif [ $MYLANG = "en" ] ; then
+    case $RET in
+    0)  return;;		
+    1)  echo "rsync error : Syntax or usage error "
+      return;;
+    2)  echo "rsync error : Protocol incompatibility "
+      return;;
+    3)  echo "rsync error : Errors selecting input/output files, dirs"
+      return;;
+    4)  echo "rsync error : Requested action not supported: an attempt"
+      echo "was made to manipulate 64-bit files on a platform that cannot support"
+      echo "them; or an option was specified that is supported by the client and"
+      echo "not by the server."
+      return;;
+    5)  echo "rsync error : Error starting client-server protocol"
+      return;;
+    10) echo "rsync error : Error in socket I/O "
+      return;;
+    11) echo "rsync error : Error in file I/O "
+      return;;
+    12) echo "rsync error : Error in rsync protocol data stream "
+      return;;
+    13) echo "rsync error : Errors with program diagnostics "
+      return;;
+    14) echo "rsync error : Error in IPC code "
+      return;;
+    20) echo "rsync error : Received SIGUSR1 or SIGINT "
+      return;;
+    21) echo "rsync error : Some error returned by waitpid() "
+      return;;
+    22) echo "rsync error : Error allocating core memory buffers "
+      return;;
+    23) echo "rsync error : Partial transfer due to error"
+      return;;
+    24) echo "rsync error : Partial transfer due to vanished source files"
+      return;;
+    30) echo "rsync error : Timeout in data send/receive "
+      return;;
+    *)  echo "rsync error : return code of rsync unknown :" $RET
+      return;;
+    esac
+  else
+    echo "unknown language $MYLANG."
+    return
+  fi
+}
+
 #D-#==================================================
 #D-function IGCM_sys_Cp
@@ -618,23 +661,23 @@
 #D-
 function IGCM_sys_Cp {
-    IGCM_debug_PushStack "IGCM_sys_Cp" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Cp :" $@
-    fi
-
-    typeset RET
-
-    echo cp $@ > out_rsync 2>&1
-    \cp $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Cp : error."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Cp"
-     else
-	 \rm out_rsync
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Cp"
+  IGCM_debug_PushStack "IGCM_sys_Cp" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Cp :" $@
+  fi
+
+  typeset RET
+
+  echo cp $@ > out_rsync 2>&1
+  \cp $@ >> out_rsync 2>&1
+  RET=$?
+
+  if [ ${RET} -gt 0 ] ; then
+    echo "IGCM_sys_Cp : error."
+    cat out_rsync
+    IGCM_debug_Exit "IGCM_sys_Cp"
+  else
+    \rm out_rsync
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Cp"
 }
 
@@ -645,23 +688,23 @@
 #D-
 function IGCM_sys_Rm {
-    IGCM_debug_PushStack "IGCM_sys_Rm" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Rm :" $@
-    fi
-
-    typeset RET
-
-    echo rm $@ > out_rsync 2>&1
-    \rm $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Rm : error."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Rm"
-    else
-	\rm out_rsync
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Rm"
+  IGCM_debug_PushStack "IGCM_sys_Rm" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Rm :" $@
+  fi
+
+  typeset RET
+
+  echo rm $@ > out_rsync 2>&1
+  \rm $@ >> out_rsync 2>&1
+  RET=$?
+
+  if [ ${RET} -gt 0 ] ; then
+    echo "IGCM_sys_Rm : error."
+    cat out_rsync
+    IGCM_debug_Exit "IGCM_sys_Rm"
+  else
+    \rm out_rsync
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Rm"
 }
 
@@ -673,23 +716,23 @@
 #D-
 function IGCM_sys_RmRunDir {
-    IGCM_debug_PushStack "IGCM_sys_RmRunDir" -- $@
-    if ( $DEBUG_sys ) ; then
-        echo "IGCM_sys_RmRunDir :" $@
-    fi
-
-    typeset RET
-
-    echo rm $@ > out_rsync 2>&1
-    \rm $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-        echo "IGCM_sys_RmRunDir : error."
-        cat out_rsync
-        IGCM_debug_Exit "IGCM_sys_RmRunDir"
-    else
-        \rm out_rsync
-    fi
-    IGCM_debug_PopStack "IGCM_sys_RmRunDir"
+  IGCM_debug_PushStack "IGCM_sys_RmRunDir" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_RmRunDir :" $@
+  fi
+
+  typeset RET
+
+  echo rm $@ > out_rsync 2>&1
+  \rm $@ >> out_rsync 2>&1
+  RET=$?
+
+  if [ ${RET} -gt 0 ] ; then
+    echo "IGCM_sys_RmRunDir : error."
+    cat out_rsync
+    IGCM_debug_Exit "IGCM_sys_RmRunDir"
+  else
+    \rm out_rsync
+  fi
+  IGCM_debug_PopStack "IGCM_sys_RmRunDir"
 }
 
@@ -700,29 +743,29 @@
 #D-
 function IGCM_sys_Mv {
-    IGCM_debug_PushStack "IGCM_sys_Mv" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Mv :" $@
-    fi
-
-    if [ $DRYRUN = 0 ]; then
-
-        typeset RET
-            
-        echo mv $@ > out_rsync 2>&1
-        \mv $@ >> out_rsync 2>&1
-        RET=$?
+  IGCM_debug_PushStack "IGCM_sys_Mv" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Mv :" $@
+  fi
+
+  if [ $DRYRUN = 0 ]; then
+
+    typeset RET
     
-        if [ ${RET} -gt 0 ] ; then
-            echo "IGCM_sys_Mv : error in mv."
-            cat out_rsync
-            IGCM_debug_Exit "IGCM_sys_Mv"
-	else
-	    \rm out_rsync
-        fi
+    echo mv $@ > out_rsync 2>&1
+    \mv $@ >> out_rsync 2>&1
+    RET=$?
+    
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Mv : error in mv."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Mv"
     else
-        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_Mv"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_Mv"
 }
 
@@ -733,35 +776,35 @@
 #D-
 function IGCM_sys_Put_Dir {
-    IGCM_debug_PushStack "IGCM_sys_Put_Dir" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Dir :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Dir ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Dir"
-	    return
-	fi
-
-	typeset RET
-
-	# Only if we use rsync
-	#IGCM_sys_TestDirArchive $( dirname $2 )
-	#
-	#USUAL WAY
-	\cp -r $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Dir : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
-	else
-	    \rm out_rsync
-	fi
+  IGCM_debug_PushStack "IGCM_sys_Put_Dir" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Dir :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${1} ] ; then
+      echo "WARNING : IGCM_sys_Put_Dir ${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dir"
+      return
+    fi
+
+    typeset RET
+
+    # Only if we use rsync
+    #IGCM_sys_TestDirArchive $( dirname $2 )
+    #
+    #USUAL WAY
+    \cp -r $1 $2 > out_rsync 2>&1
+    RET=$?
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Put_Dir : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Dir"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Dir"
 }
 
@@ -772,9 +815,9 @@
 #D-
 function IGCM_sys_Get_Dir {
-    IGCM_debug_PushStack "IGCM_sys_Get_Dir" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get_Dir :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
+  IGCM_debug_PushStack "IGCM_sys_Get_Dir" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Get_Dir :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
 #	if [ ! -d ${1} ] ; then
 #	    echo "WARNING : IGCM_sys_Get_Dir ${1} DOES NOT EXIST ."
@@ -783,26 +826,26 @@
 #	fi
 
-	typeset RET
-
-	# Only if we use rsync
-	#IGCM_sys_TestDirArchive $( dirname $2 )
-	#
-	#USUAL WAY
-        # add dmget (to demigrate all offline files) to reduce time of this command :
-        dmget $1/*
-	\cp -r $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get_Dir : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
-	else
-	    \rm out_rsync
-	fi
+    typeset RET
+
+    # Only if we use rsync
+    #IGCM_sys_TestDirArchive $( dirname $2 )
+    #
+    #USUAL WAY
+    # add dmget (to demigrate all offline files) to reduce time of this command :
+    dmget $1/*
+    \cp -r $1 $2 > out_rsync 2>&1
+    RET=$?
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get_Dir : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Get_Dir"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Get_Dir"
 }
 
@@ -813,66 +856,65 @@
 #D-
 function IGCM_sys_Get_Master {
-    IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get_Master :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
-	    return
-	fi
-
-	typeset RET
-
-	#USUAL WAY
-	\cp -r $1 $2 > out_rsync 2>&1
-  	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get_Master : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get_Master"
-	else
-	    \rm out_rsync
-	fi
+  IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Get_Master :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${1} ] ; then
+      echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Get_Master"
+      return
+    fi
+
+    typeset RET
+
+    #USUAL WAY
+    \cp -r $1 $2 > out_rsync 2>&1
+    RET=$?
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get_Master : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Get_Master"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Get_Master"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Put_Rest
-#D-* Purpose: Put computied restarts on $(ARCHIVE).
+#D-* Purpose: Put computied restarts on ${ARCHIVE}.
 #D-           File and target directory must exist.
 #D-* Examples:
 #D-
 function IGCM_sys_Put_Rest {
-    IGCM_debug_PushStack "IGCM_sys_Put_Rest" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Rest :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	fi
-
-	typeset RET
-	#
-	if [ X${JobType} = XRUN ] ; then
-	    IGCM_sys_Chmod 444 ${1}
-	fi
-	#
-	IGCM_sys_TestDirArchive $( dirname $2 )
-	#
-	# USUAL WAY
-	putfer $1 $2 > out_rsync 2>&1
-        RET=$?
+  IGCM_debug_PushStack "IGCM_sys_Put_Rest" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Rest :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
+      IGCM_debug_Exit "IGCM_sys_Put_Rest"
+    fi
+
+    typeset RET
+    #
+    if [ X${JobType} = XRUN ] ; then
+      IGCM_sys_Chmod 444 ${1}
+    fi
+
+    #
+    # USUAL WAY
+    \cp $1 $2 > out_rsync 2>&1
+    RET=$?
 
 # 	#RSYNC WITH NETWORK SSH CALL
-# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
-# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
+# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
@@ -886,92 +928,133 @@
 #  	(( RET=RET+$? ))
 
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Rest : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	else
-	    \rm out_rsync
-	fi
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Put_Rest : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Rest"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PutBuffer_Rest
+#D-* Purpose: Put computied restarts on ${SCRATCHDIR}.
+#D-           File and target directory must exist.
+#D-* Examples:
+#D-
+function IGCM_sys_PutBuffer_Rest {
+  IGCM_debug_PushStack "IGCM_sys_PutBuffer_Rest" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_PutBuffer_Rest :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "ERROR : IGCM_sys_PutBuffer_Rest ${1} DOES NOT EXIST ."
+      IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
+    fi
+
+    typeset RET
+    #
+    if [ X${JobType} = XRUN ] ; then
+      IGCM_sys_Chmod 444 ${1}
+    fi
+
+    #
+    # USUAL WAY
+    \cp $1 $2 > out_rsync 2>&1
+    RET=$?
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_PutBuffer_Rest : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
+    else
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Put_Out
-#D-* Purpose: Copy a file on $(ARCHIVE) after have chmod it in readonly
+#D-* Purpose: Copy a file on ${ARCHIVE} after having chmod it in readonly
 #D-* Examples:
 #D-
 function IGCM_sys_Put_Out {
-    IGCM_debug_PushStack "IGCM_sys_Put_Out" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Out :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Out"
-	    return 1
-	fi
-	#
-	IGCM_sys_MkdirArchive $( dirname $2 )
-	#
-	typeset RET exist skip
-
-	#=====================================================
-        #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
-        #=====================================================
-
-	#echo ${2} | grep "${R_OUT}" > /dev/null 2>&1
-	#if [ $? -eq 0 ] ; then
-	#    typeset WORKPATH FILEPATH
-	#    WORKPATH=$( dirname $2 | sed -e "s|${R_OUT}|${R_OUT_SCR}|" )
-	#    IGCM_sys_MkdirWork ${WORKPATH} 
-	#    FILEPATH=${WORKPATH}/$( basename $2 )
-        #    #
-	#    IGCM_sys_Cp ${1} ${FILEPATH}
-	#fi
-
-	if [ X${JobType} = XRUN ] ; then
-	    if [ X${3} = X ] ; then
-		IGCM_sys_Chmod 444 ${1}
-	    fi
-	fi
-
-	exist=false
+  IGCM_debug_PushStack "IGCM_sys_Put_Out" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Out :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Put_Out"
+      return 1
+    fi
+    #
+    IGCM_sys_MkdirArchive $( dirname $2 )
+    #
+    typeset RET exist skip
+
+    #=====================================================
+    #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
+    #=====================================================
+
+    #echo ${2} | grep "${R_OUT}" > /dev/null 2>&1
+    #if [ $? -eq 0 ] ; then
+    #    typeset WORKPATH FILEPATH
+    #    WORKPATH=$( dirname $2 | sed -e "s|${R_OUT}|${R_BUF}|" )
+    #    IGCM_sys_MkdirWork ${WORKPATH} 
+    #    FILEPATH=${WORKPATH}/$( basename $2 )
+    #    #
+    #    IGCM_sys_Cp ${1} ${FILEPATH}
+    #fi
+
+    if [ X${JobType} = XRUN ] ; then
+      if [ X${3} = X ] ; then
+	IGCM_sys_Chmod 444 ${1}
+      fi
+    fi
+
+    exist=false
+    skip=false
+    if [ -f $2 ] ; then
+      IGCM_debug_Print 1 "$2 already exist"
+      dmget $2
+      exist=true
+      if [ "X$( diff $1 $2 )" = X ] ; then
+	IGCM_debug_Print 2 "$1 and $2 are the same file, we skip the copy"
+	skip=true
+      else
+	IGCM_debug_Print 2 "$1 and $2 are not the same file, we force the copy"
 	skip=false
-	if [ -f $2 ] ; then
-	    IGCM_debug_Print 1 "$2 already exist"
-	    dmget $2
-	    exist=true
-	    if [ "X$( diff $1 $2 )" = X ] ; then
-		IGCM_debug_Print 2 "$1 and $2 are the same file, we skip the copy"
-		skip=true
-	    else
-		IGCM_debug_Print 2 "$1 and $2 are not the same file, we force the copy"
-		skip=false
-	    fi
-	fi
-        # 
-	if ( [ X${exist} = Xtrue ] && [ X${skip} = Xfalse ] ) ; then
-	    IGCM_sys_Chmod u+w $2
-	fi
-	# USUAL WAY
-	if [ X${skip} = Xfalse ] ; then
-	    \cp $1 $2 > out_rsync 2>&1
-            RET=$?
-	    if [ ${RET} -gt 0 ] ; then
-		echo "IGCM_sys_Put_Out : error."
-		cat out_rsync
-		IGCM_debug_Exit "IGCM_sys_Put_Out"
-	    else
-		\rm out_rsync
-	    fi
-	fi
-
-# 	#RSYNC WITH NETWORK RSH CALL
-# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
-# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
+      fi
+    fi
+    # 
+    if ( [ X${exist} = Xtrue ] && [ X${skip} = Xfalse ] ) ; then
+      IGCM_sys_Chmod u+w $2
+    fi
+    # USUAL WAY
+    if [ X${skip} = Xfalse ] ; then
+      \cp $1 $2 > out_rsync 2>&1
+      RET=$?
+      if [ ${RET} -gt 0 ] ; then
+	echo "IGCM_sys_Put_Out : error."
+	cat out_rsync
+	IGCM_debug_Exit "IGCM_sys_Put_Out"
+      else
+	\rm out_rsync
+      fi
+    fi
+
+# 	#RSYNC WITH NETWORK SSH CALL
+# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
@@ -985,9 +1068,54 @@
 #  	(( RET=RET+$? ))
 
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Out"
+  return 0
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PutBuffer_Out
+#D-* Purpose: Copy a file on ${SCRATCHDIR} after having chmod it in readonly
+#D-* Examples:
+#D-
+function IGCM_sys_PutBuffer_Out {
+  IGCM_debug_PushStack "IGCM_sys_PutBuffer_Out" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_PutBuffer_Out :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "WARNING : IGCM_sys_PutBuffer_Out ${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
+      return 1
+    fi
+    #
+    IGCM_sys_Mkdir $( dirname $2 )
+    #
+    typeset RET
+
+    if [ X${JobType} = XRUN ] ; then
+      if [ X${3} = X ] ; then
+	IGCM_sys_Chmod 444 ${1}
+      fi
+    fi
+    #
+    # USUAL WAY
+    \cp $1 $2 > out_rsync 2>&1
+    RET=$?
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_PutBuffer_Out : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Out"
-    return 0
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
+  return 0
 }
 
@@ -998,90 +1126,88 @@
 #D-            IGCM_sys_Get /l Array_contain_myfiles /destpath/
 function IGCM_sys_Get {
-    IGCM_debug_PushStack "IGCM_sys_Get" $@
-
-    typeset DEST RET dm_liste ifile target file_work 
-
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get :" $@
-    fi
-    if [ $DRYRUN -le 2 ]; then
-	if [ X${1} = X'/l' ] ; then
-            # test if the first file is present in the old computation :
-	    eval set +A dm_liste \${${2}}
-	else
-	    eval set +A dm_liste ${1}
-	fi
-	eval DEST=\${${#}}
-
-	#=====================================================
-        #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
-        #=====================================================
-
-	# Is it an R_OUT file (not R_IN) ?
-	#echo ${dm_liste[0]} | grep "${R_OUT}" > /dev/null 2>&1
-	#if [ $? -eq 0 ] ; then
-	#    # Yes  ? then we try to get it in SCRATCHDIR
-	#    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_OUT_SCR}|g" )
-	#    if [ -f ${file_work[0]} ] ; then
-	#	IGCM_sys_Cp ${file_work[*]} ${DEST}
-	#	IGCM_debug_PopStack "IGCM_sys_Get"
-	#	return
-	#    fi
-	#fi
-
-	# test if the (first) file is present in the old computation :
-	IGCM_sys_TestFileArchive ${dm_liste[0]}
-	RET=$?
-        if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Get"
-	fi
-
-	dmget ${dm_liste[*]} > out_rsync 2>&1
-	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "WARNING IGCM_sys_Get : demigration error."
-	    cat out_rsync
-	    echo "WARNING IGCM_sys_Get : will later stop if the cp fails."
-	fi
-
-	#if [ ${RET} -gt 0 ] ; then
-	#    if [ ! "X$( grep "Lost dmusrcmd connection" out_rsync )" = "X" ] ; then
-	#	cat out_rsync
-	#	echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
-	#	sleep 30
-	#	echo "We try another time"
-	#	dmget ${dm_liste[*]} > out_rsync 2>&1
-	#	RET=$?
-	#	if [ ${RET} -gt 0 ] ; then
-	#	    echo "ERROR IGCM_sys_Get : again demigration error :"
-	#	    cat out_rsync
-	#	    IGCM_debug_Exit "IGCM_sys_Get"
-	#	fi
-	#    else
-	#	echo "ERROR IGCM_sys_Get : demigration error :"
-	#	cat out_rsync
-	#	IGCM_debug_Exit "IGCM_sys_Get"
-	#    fi
-	#fi
-
-        #USUAL WAY
-	(( RET=0 ))
-	if [ X${1} = X'/l' ] ; then
-	    (( RET=0 ))
-	    for target in ${dm_liste[*]} ; do
-		local_file=$( basename ${target} )
-		\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
-		(( RET = RET + $? ))
-	    done
-	else
-	    \cp ${dm_liste} ${DEST} >> out_rsync 2>&1
-	    RET=$?
-	fi
-
-# 	#RSYNC WITH NETWORK RSH CALL
-# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
-# 	${RSYNC} ${RSYNC_opt} -e ssh ${RHOST}:"${dm_liste}" ${RHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
+  IGCM_debug_PushStack "IGCM_sys_Get" $@
+
+  typeset DEST RET dm_liste ifile target file_work 
+
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Get :" $@
+  fi
+  if [ $DRYRUN -le 2 ]; then
+    if [ X${1} = X'/l' ] ; then
+      # test if the first file is present in the old computation :
+      eval set +A dm_liste \${${2}}
+    else
+      eval set +A dm_liste ${1}
+    fi
+    eval DEST=\${${#}}
+
+    #=====================================================
+    #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
+    #=====================================================
+
+    # Is it an R_OUT file (not R_IN) ?
+    #echo ${dm_liste[0]} | grep "${R_OUT}" > /dev/null 2>&1
+    #if [ $? -eq 0 ] ; then
+    #    # Yes  ? then we try to get it in SCRATCHDIR
+    #    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_BUF}|g" )
+    #    if [ -f ${file_work[0]} ] ; then
+    #	IGCM_sys_Cp ${file_work[*]} ${DEST}
+    #	IGCM_debug_PopStack "IGCM_sys_Get"
+    #	return
+    #    fi
+    #fi
+
+    # test if the (first) file is present in the old computation :
+    IGCM_sys_TestFileArchive ${dm_liste[0]}
+    RET=$?
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
+      IGCM_debug_Exit "IGCM_sys_Get"
+    fi
+
+    dmget ${dm_liste[*]} > out_rsync 2>&1
+    RET=$?
+    if [ ${RET} -gt 0 ] ; then
+      echo "WARNING IGCM_sys_Get : demigration error."
+      cat out_rsync
+      echo "WARNING IGCM_sys_Get : will stop later if the cp fails."
+    fi
+
+    #if [ ${RET} -gt 0 ] ; then
+    #    if [ ! "X$( grep "Lost dmusrcmd connection" out_rsync )" = "X" ] ; then
+    #	cat out_rsync
+    #	echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
+    #	sleep 30
+    #	echo "We try another time"
+    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #	RET=$?
+    #	if [ ${RET} -gt 0 ] ; then
+    #	    echo "ERROR IGCM_sys_Get : again demigration error :"
+    #	    cat out_rsync
+    #	    IGCM_debug_Exit "IGCM_sys_Get"
+    #	fi
+    #    else
+    #	echo "ERROR IGCM_sys_Get : demigration error :"
+    #	cat out_rsync
+    #	IGCM_debug_Exit "IGCM_sys_Get"
+    #    fi
+    #fi
+
+    #USUAL WAY
+    if [ X${1} = X'/l' ] ; then
+      (( RET=0 ))
+      for target in ${dm_liste[*]} ; do
+	local_file=$( basename ${target} )
+	\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+	(( RET = RET + $? ))
+      done
+    else
+      \cp ${dm_liste} ${DEST} >> out_rsync 2>&1
+      RET=$?
+    fi
+
+# 	#RSYNC WITH NETWORK SSH CALL
+# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
@@ -1095,15 +1221,90 @@
 #  	(( RET=RET+$? ))
 
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get : copy error."
-	    cat out_rsync
-#	    IGCM_debug_Exit "IGCM_sys_Get"
-	else
-	    \rm out_rsync
-	fi
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get : copy error."
+      cat out_rsync
+#      IGCM_debug_Exit "IGCM_sys_Get"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Get"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Get"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetBuffer
+#D-* Purpose: Get a file from ${SCRATCHDIR}
+#D-* Examples: IGCM_sys_GetBuffer myfile /destpath/myfile_with_PREFIX
+#D-            IGCM_sys_GetBuffer /l Array_contain_myfiles /destpath/
+function IGCM_sys_GetBuffer {
+  IGCM_debug_PushStack "IGCM_sys_GetBuffer" $@
+
+  typeset DEST RET buf_liste ifile target file_work 
+
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetBuffer :" $@
+  fi
+  if [ $DRYRUN -le 2 ]; then
+    if [ X${1} = X'/l' ] ; then
+      # test if the first file is present in the old computation :
+      eval set +A buf_liste \${${2}}
+    else
+      eval set +A buf_liste ${1}
+    fi
+    eval DEST=\${${#}}
+
+    #USUAL WAY
+    if [ X${1} = X'/l' ] ; then
+      (( RET=0 ))
+      for target in ${buf_liste[*]} ; do
+	local_file=$( basename ${target} )
+	\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+	(( RET = RET + $? ))
+      done
+    else
+      \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+      RET=$?
+    fi
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_GetBuffer : copy error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_GetBuffer"
+    else
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_GetBuffer"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetDate_FichWork
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem WORK
+#D-* Examples:
+#D-
+function IGCM_sys_GetDate_FichWork {
+  IGCM_debug_PushStack "IGCM_sys_FichWork" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetDate_FichWork :" $@
+  fi
+  # donne la date filesys d'un fichier sur la machine work
+  IGCM_debug_PopStack "IGCM_sys_FichWork"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetDate_FichArchive
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Examples:
+#D-
+function IGCM_sys_GetDate_FichArchive {
+  IGCM_debug_PushStack "IGCM_sys_FichArchive" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetDate_FichArchive :" $@
+  fi
+  IGCM_debug_PopStack "IGCM_sys_FichArchive"
 }
 
@@ -1114,18 +1315,18 @@
 #D-
 function IGCM_sys_Dods_Rm {
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Dods_Rm :" $@
-    fi
-    typeset RET
-    RET=0
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
-	    echo "Nothing has been done."
-	    return
-	fi
-	dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
-	RET=$?
-        
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Rm :" $@
+  fi
+  typeset RET
+  RET=0
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
+      echo "Nothing has been done."
+      return
+    fi
+    dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+    RET=$?
+    
 #	if [ ${RET} -gt 0 ] ; then
 #	    echo "IGCM_sys_Dods_Rm : error."
@@ -1136,10 +1337,9 @@
 #	fi
 
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    return $RET
-}
-
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  return $RET
+}
 
 #D-#==================================================
@@ -1149,19 +1349,19 @@
 #D-
 function IGCM_sys_Dods_Cp {
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Dods_Cp :" $@
-    fi
-    typeset RET
-    RET=0
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${R_SAVE}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
-	    echo "Nothing has been done."
-	    return
-	fi
-	#
-	dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
-	RET=$?
-        
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Cp :" $@
+  fi
+  typeset RET
+  RET=0
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${R_SAVE}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
+      echo "Nothing has been done."
+      return
+    fi
+    #
+    dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+    RET=$?
+
 # 	if [ ${RET} -gt 0 ] ; then
 # 	    echo "IGCM_sys_Dods_Cp : error."
@@ -1172,8 +1372,8 @@
 # 	fi
 
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    return $RET
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  return $RET
 }
 
@@ -1184,59 +1384,30 @@
 #D-
 function IGCM_sys_Put_Dods {
-    IGCM_debug_PushStack "IGCM_sys_Put_Dods" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Dods :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${R_SAVE}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Dods"
-	    return
-	fi
-
-	typeset RET
+  IGCM_debug_PushStack "IGCM_sys_Put_Dods" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Dods :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${R_SAVE}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+
+    typeset RET
 	#
-	cd ${R_SAVE}
-	IGCM_sys_Dods_Rm ${1}
-	IGCM_sys_Dods_Cp ${1}
-	RET=0
-        
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Dods : error."
-	    IGCM_debug_Exit "IGCM_sys_Put_Dods"
-	fi
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Dods"
-}
-
-############################################################## A FINIR !!
-
-#D-#==================================================
-#D-function IGCM_sys_GetDate_FichWork
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem WORK
-#D-* Examples:
-#D-
-function IGCM_sys_GetDate_FichWork {
-    IGCM_debug_PushStack "IGCM_sys_FichWork" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichWork :" $@
-    fi
-    # donne la date filesys d'un fichier sur la machine work
-    IGCM_debug_PopStack "IGCM_sys_FichWork"
-}
-
-#D-#==================================================
-#D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
-#D-* Examples:
-#D-
-function IGCM_sys_GetDate_FichArchive {
-    IGCM_debug_PushStack "IGCM_sys_FichArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichArchive :" $@
-    fi
-    IGCM_debug_PopStack "IGCM_sys_FichArchive"
+    cd ${R_SAVE}
+    IGCM_sys_Dods_Rm ${1}
+    IGCM_sys_Dods_Cp ${1}
+    RET=0
+    
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Put_Dods : error."
+      IGCM_debug_Exit "IGCM_sys_Put_Dods"
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Dods"
 }
 
@@ -1245,15 +1416,15 @@
 
 function IGCM_sys_rebuild {
-    IGCM_debug_PushStack "IGCM_sys_rebuild" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_rebuild :" $@
-    fi
-    /home/cont003/p86ipsl/X86_64/bin/rebuild -f -o $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_rebuild : erreur ${@}."
-       IGCM_debug_Exit "rebuild"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_rebuild"
+  IGCM_debug_PushStack "IGCM_sys_rebuild" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild :" $@
+  fi
+  /home/cont003/p86ipsl/X86_64/bin/rebuild -f -o $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_rebuild : erreur ${@}."
+    IGCM_debug_Exit "rebuild"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild"
 }
 
@@ -1262,183 +1433,183 @@
 
 function IGCM_sys_ncap2 {
-    IGCM_debug_PushStack "IGCM_sys_ncap2" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncap2 :" $@
-    fi
-    ncap2 "$@"
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncap2 : erreur ${@}."
-       IGCM_debug_Exit "ncap2"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncap2"
+  IGCM_debug_PushStack "IGCM_sys_ncap2" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncap2 :" $@
+  fi
+  ncap2 "$@"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncap2 : erreur ${@}."
+    IGCM_debug_Exit "ncap2"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncap2"
 }
 
 function IGCM_sys_ncatted {
-    IGCM_debug_PushStack "IGCM_sys_ncatted" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncatted :" $@
-    fi
-    ncatted "$@"
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncatted : erreur ${@}."
-       IGCM_debug_Exit "ncatted"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncatted"
+  IGCM_debug_PushStack "IGCM_sys_ncatted" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncatted :" $@
+  fi
+  ncatted "$@"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncatted : erreur ${@}."
+    IGCM_debug_Exit "ncatted"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncatted"
 }
 
 function IGCM_sys_ncbo {
-    IGCM_debug_PushStack "IGCM_sys_ncbo" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncbo :" $@
-    fi
-    ncbo $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncbo : erreur ${@}."
-       IGCM_debug_Exit "ncbo"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncbo"
+  IGCM_debug_PushStack "IGCM_sys_ncbo" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncbo :" $@
+  fi
+  ncbo $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncbo : erreur ${@}."
+    IGCM_debug_Exit "ncbo"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncbo"
 }
 
 function IGCM_sys_ncdiff {
-    IGCM_debug_PushStack "IGCM_sys_ncdiff" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncdiff :" $@
-    fi
-    ncdiff $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncdiff : erreur ${@}."
-       IGCM_debug_Exit "ncdiff"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncdiff"
+  IGCM_debug_PushStack "IGCM_sys_ncdiff" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncdiff :" $@
+  fi
+  ncdiff $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncdiff : erreur ${@}."
+    IGCM_debug_Exit "ncdiff"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncdiff"
 }
 
 function IGCM_sys_ncea {
-    IGCM_debug_PushStack "IGCM_sys_ncea" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncea :" $@
-    fi
-    ncea $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncea : erreur ${@}."
-       IGCM_debug_Exit "ncea"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncea"
+  IGCM_debug_PushStack "IGCM_sys_ncea" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncea :" $@
+  fi
+  ncea $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncea : erreur ${@}."
+    IGCM_debug_Exit "ncea"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncea"
 }
 
 function IGCM_sys_ncecat {
-    IGCM_debug_PushStack "IGCM_sys_ncecat" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncecat :" $@
-    fi
-    ncecat $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncecat : erreur ${@}."
-       IGCM_debug_Exit "ncecat"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncecat"
+  IGCM_debug_PushStack "IGCM_sys_ncecat" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncecat :" $@
+  fi
+  ncecat $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncecat : erreur ${@}."
+    IGCM_debug_Exit "ncecat"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncecat"
 }
 
 function IGCM_sys_ncflint {
-    IGCM_debug_PushStack "IGCM_sys_ncflint" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncflint :" $@
-    fi
-    ncflint $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncflint : erreur ${@}."
-       IGCM_debug_Exit "ncflint"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncflint"
+  IGCM_debug_PushStack "IGCM_sys_ncflint" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncflint :" $@
+  fi
+  ncflint $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncflint : erreur ${@}."
+    IGCM_debug_Exit "ncflint"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncflint"
 }
 
 function IGCM_sys_ncks {
-    IGCM_debug_PushStack "IGCM_sys_ncks" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncks :" $@
-    fi
-    ncks $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncks : erreur ${@}."
-       IGCM_debug_Exit "ncks"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncks"
+  IGCM_debug_PushStack "IGCM_sys_ncks" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncks :" $@
+  fi
+  ncks $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncks : erreur ${@}."
+    IGCM_debug_Exit "ncks"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncks"
 }
 
 function IGCM_sys_ncpdq {
-    IGCM_debug_PushStack "IGCM_sys_ncpdq" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncpdq :" $@
-    fi
-    ncpdq $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncpdq : erreur ${@}."
-       IGCM_debug_Exit "ncpdq"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncpdq"
+  IGCM_debug_PushStack "IGCM_sys_ncpdq" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncpdq :" $@
+  fi
+  ncpdq $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncpdq : erreur ${@}."
+    IGCM_debug_Exit "ncpdq"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncpdq"
 }
 
 function IGCM_sys_ncra {
-    IGCM_debug_PushStack "IGCM_sys_ncra" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncra :" $@
-    fi
-    ncra $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncra : erreur ${@}."
-       IGCM_debug_Exit "ncra"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncra"
+  IGCM_debug_PushStack "IGCM_sys_ncra" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncra :" $@
+  fi
+  ncra $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncra : erreur ${@}."
+    IGCM_debug_Exit "ncra"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncra"
 }
 
 function IGCM_sys_ncrcat {
-    IGCM_debug_PushStack "IGCM_sys_ncrcat" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncrcat :" $@
-    fi
-    ncrcat $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncrcat : erreur ${@}."
+  IGCM_debug_PushStack "IGCM_sys_ncrcat" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncrcat :" $@
+  fi
+  ncrcat $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncrcat : erreur ${@}."
 #       IGCM_debug_Exit "ncrcat"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncrcat"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncrcat"
 }
 
 function IGCM_sys_ncrename {
-    IGCM_debug_PushStack "IGCM_sys_ncrename" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncrename :" $@
-    fi
-    ncrename $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncrename : erreur ${@}."
-       IGCM_debug_Exit "ncrename"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncrename"
+  IGCM_debug_PushStack "IGCM_sys_ncrename" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncrename :" $@
+  fi
+  ncrename $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncrename : erreur ${@}."
+    IGCM_debug_Exit "ncrename"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncrename"
 }
 
 function IGCM_sys_ncwa {
-    IGCM_debug_PushStack "IGCM_sys_ncwa" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncwa :" $@
-    fi
-    ncwa $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncwa : erreur ${@}."
-       IGCM_debug_Exit "ncwa"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncwa"
+  IGCM_debug_PushStack "IGCM_sys_ncwa" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncwa :" $@
+  fi
+  ncwa $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncwa : erreur ${@}."
+    IGCM_debug_Exit "ncwa"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncwa"
 }
 
@@ -1447,17 +1618,19 @@
 
 function IGCM_sys_cdo {
-    IGCM_debug_PushStack "IGCM_sys_cdo" -- $@
-
-    \cdo $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_cdo : erreur ${@}."
-       IGCM_debug_PopStack "IGCM_sys_cdo"
-       return 1
-    else
-	IGCM_debug_PopStack "IGCM_sys_cdo"
-	return 0
-    fi
-
+  IGCM_debug_PushStack "IGCM_sys_cdo" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_cdo :" $@
+  fi
+  \cdo $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_cdo : erreur ${@}."
     IGCM_debug_PopStack "IGCM_sys_cdo"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_cdo"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_cdo"
 }
 
@@ -1466,9 +1639,9 @@
 
 function IGCM_sys_activ_variables {
-    IGCM_debug_PushStack "IGCM_sys_activ_variables"
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_activ_variables"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_activ_variables"
+  IGCM_debug_PushStack "IGCM_sys_activ_variables"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_activ_variables"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_activ_variables"
 }
 
@@ -1477,9 +1650,9 @@
 
 function IGCM_sys_desactiv_variables {
-    IGCM_debug_PushStack "IGCM_sys_desactiv_variables"
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_desactiv_variables"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_desactiv_variables"
+  IGCM_debug_PushStack "IGCM_sys_desactiv_variables"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_desactiv_variables"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_desactiv_variables"
 }
 
@@ -1488,8 +1661,8 @@
 
 function IGCM_sys_build_run_file {
-    IGCM_debug_PushStack "IGCM_sys_build_run_file"
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_build_run_file"
-    fi
-    IGCM_debug_PopStack "IGCM_sys_build_run_file"
-}
+  IGCM_debug_PushStack "IGCM_sys_build_run_file"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_build_run_file"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_build_run_file"
+}
